Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: futures-core
Upstream-Contact: Alex Crichton <alex@alexcrichton.com>
Source: https://github.com/rust-lang/futures-rs

Files: *
Copyright: 
 2016-2018 Alex Crichton <alex@alexcrichton.com>
 2017 The Tokio Authors
 2018-2023 The Rust Project Developers
License: MIT or Apache-2.0
Comment:
 Around 2018-2019 the futures-rs repostory was moved from Alex's personal
 github account first to the rust-lang-nursery github organisation and then
 to the rust-lang github organisation. Since then there have been many 
 contributions, but no new copyright notices have been added upstream.
 I have credited these contributions to The Rust Project Developers..

Files: debian/*
Copyright:
 2018-2024 Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 2018 kpcyrd <git@rxv.cc>
 2021 Henry-Nicolas Tourneur <debian@nilux.be>
License: MIT or Apache-2.0

License: Apache-2.0
 Debian systems provide the Apache 2.0 license in
 /usr/share/common-licenses/Apache-2.0

License: MIT
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
